aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMilan P. Stanić <mps@arvanta.net>2019-10-14 19:08:55 +0200
committerMilan P. Stanić <mps@arvanta.net>2019-10-14 19:08:55 +0200
commitc1996f126a9c460fb24e16e3df1400d92107a9df (patch)
treec4270d12342fcf0a33f4d60578b507b96ef8c578
parent2ef41344233ee5dd5f76b8bbe47aa98cf1adad83 (diff)
downloadaports-c1996f126a9c460fb24e16e3df1400d92107a9df.tar.gz
aports-c1996f126a9c460fb24e16e3df1400d92107a9df.tar.bz2
aports-c1996f126a9c460fb24e16e3df1400d92107a9df.tar.xz
community/mumble: upgrade to stable 1.3.0 release
current release in Alpine 3.10-stable is -rc1 and by this commit it is upgraded to upstream stable and fix sed script for /etc/murmur.ini by backporting changes from edge APKBUILD is synchronized to edge version
-rw-r--r--community/mumble/APKBUILD27
1 files changed, 14 insertions, 13 deletions
diff --git a/community/mumble/APKBUILD b/community/mumble/APKBUILD
index 0ea4afb074..02f9365569 100644
--- a/community/mumble/APKBUILD
+++ b/community/mumble/APKBUILD
@@ -3,11 +3,9 @@
# Maintainer: Johannes Matheis <jomat+alpinebuild@jmt.gr>
pkgname=mumble
pkgver=1.3.0
-_rc=1
-_pkgver=${pkgver}${_rc:+-rc${_rc}}
-pkgrel=0
+pkgrel=2
pkgdesc="Low-latency, high quality voice chat software"
-url="https://wiki.mumble.info"
+url="https://wiki.mumble.info/"
arch="all"
license="BSD-3-Clause"
options="!check"
@@ -20,7 +18,7 @@ install="murmur.pre-install"
pkgusers="murmur"
pkggroups="murmur"
subpackages="$pkgname-doc murmur murmur-doc:murmur_doc:noarch"
-source="https://github.com/mumble-voip/$pkgname/releases/download/$_pkgver/$pkgname-$_pkgver.tar.gz
+source="https://github.com/mumble-voip/mumble/releases/download/$pkgver/mumble-$pkgver.tar.gz
murmur.initd"
# secfixes:
@@ -37,16 +35,19 @@ build() {
package() {
# Binaries.
+ local _ver=${pkgver%_rc*}
+ local _maj=$( echo "$_ver" | cut -d. -f1)
+ local _min=$( echo "$_ver" | cut -d. -f2)
install -Dm755 ./release/mumble \
"$pkgdir"/usr/bin/mumble
install -Dm755 ./scripts/mumble-overlay \
"$pkgdir"/usr/bin/mumble-overlay
# Libraries.
- install -Dm755 ./release/libmumble.so.$pkgver \
- "$pkgdir"/usr/lib/mumble/libmumble.so.$pkgver
- for lib in libmumble.so libmumble.so.1 libmumble.so.1.2; do
- ln -s libmumble.so.$pkgver \
+ install -Dm755 ./release/libmumble.so.$_ver \
+ "$pkgdir"/usr/lib/mumble/libmumble.so.$_ver
+ for lib in libmumble.so libmumble.so.$_maj libmumble.so.$_maj.$_min; do
+ ln -s libmumble.so.$_ver \
"$pkgdir"/usr/lib/mumble/$lib
done
install -Dm755 ./release/plugins/liblink.so \
@@ -79,9 +80,9 @@ murmur() {
"$subpkgdir"/etc/murmur.ini
sed 's/^database=$/database=\/var\/lib\/murmur\/murmur.sqlite/;\
- s/^#uname=$/uname=murmur/;\
- s/^#logfile=murmur.log$/logfile=\/var\/log\/murmur.log/;\
- s/^#pidfile=$/pidfile=\/var\/run\/murmur\/murmur.pid/' \
+ s/^;uname=$/uname=murmur/;\
+ s/^;logfile=murmur.log$/logfile=\/var\/log\/murmur.log/;\
+ s/^;pidfile=$/pidfile=\/var\/run\/murmur\/murmur.pid/'\
-i "$subpkgdir"/etc/murmur.ini
install -Dm644 ./scripts/murmur.conf \
@@ -104,5 +105,5 @@ murmur_doc() {
default_doc
}
-sha512sums="e993b18b0ecf620d3a9a89f145c18b9ecde3aaf9b7217e235b7472908c81a365323c8683dd6fc9ed14b108160f8bf5244369c2a9ee57c22595550220d158516c mumble-1.3.0-rc1.tar.gz
+sha512sums="2a629fc97f3c7c587c9a3b40fc96cf15d668acada37282ec1c4a5b169ad37717d60af94d12c7bce45f2816c265f76a99ebad40a006adcf8ca38a117e7c0a4122 mumble-1.3.0.tar.gz
c74ade232146a180448cb0027503f59642000bee50613a1fb99162cdc4bc81089ab4e84e51b0bbdac5c176eb52b76e6bd2b3ec790a9148135a1fc050569921c3 murmur.initd"